package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.Objects;

/**
 * A DTO for the TBEquipmentHistory entity.
 */
public class TBEquipmentHistoryDTO implements Serializable {

    private Long id;

    private String event;

    private Instant dateOccurred;

    private Integer status;

    private Long tbCommandId;

    private Long tbDetailUserId;

    private Long tbEquipmentOfCustomerId;

    private String deviceName;

    private String tbCommandDescription;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public Instant getDateOccurred() {
        return dateOccurred;
    }

    public void setDateOccurred(Instant dateOccurred) {
        this.dateOccurred = dateOccurred;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getTbCommandId() {
        return tbCommandId;
    }

    public void setTbCommandId(Long tBCommandId) {
        this.tbCommandId = tBCommandId;
    }

    public Long getTbEquipmentOfCustomerId() {
        return tbEquipmentOfCustomerId;
    }

    public void setTbEquipmentOfCustomerId(Long tBEquipmentOfCustomerId) {
        this.tbEquipmentOfCustomerId = tBEquipmentOfCustomerId;
    }
    public Long getTbDetailUserId() {
        return tbDetailUserId;
    }

    public void setTbDetailUserId(Long tbDetailUserId) {
        this.tbDetailUserId = tbDetailUserId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getTbCommandDescription() {
        return tbCommandDescription;
    }

    public void setTbCommandDescription(String tbCommandDescription) {
        this.tbCommandDescription = tbCommandDescription;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBEquipmentHistoryDTO tBEquipmentHistoryDTO = (TBEquipmentHistoryDTO) o;
        if (tBEquipmentHistoryDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBEquipmentHistoryDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBEquipmentHistoryDTO{" +
            "id=" + getId() +
            ", event='" + getEvent() + "'" +
            ", dateOccurred='" + getDateOccurred() + "'" +
            ", status='" + getStatus() + "'" +
            ", tbCommand=" + getTbCommandId() +
            ", tbDetailUser=" + getTbDetailUserId() +
            ", tbEquipmentOfCustomer=" + getTbEquipmentOfCustomerId() +
            "}";
    }
}
